/*
2022-05-15
Michael Nowak
http://www.mino-elektronik.de
All information is subject to change!
*/

#ifndef PICO_FMETER_H
#define PICO_FMETER_H

// some global definitions

#define BIT(x) (1<<x)

// slightly overclocking for Fin up to 16 MHz
#define DEF_SYSCLOCK  150000000   // reduce to lower value (120 MHz) if not needed
#define MHZ_12         12000000   // default
#define MHZ_10         10000000   // TCXO or ext. clock

#define MHZ_FACTOR      1000000   // 1e6
#define MS_DIVIDER      1000      // us -> ms

#define PIO_TIME_DIV   4          // PIO-divider given by SM0 program

#define PLL_DIV1    2             // force high F_vco
#define PLL_DIV2    2             // default = 2; 1 => turbo-mode


#define DEF_F1_INTERVAL 333       // 0,333 s
#define DEF_TIMEOUT     11000     // 11 s FIN_min = 0,1 Hz
#define TYP_LED_TIME    50        // 50 ms

#define FIN1_PIN        2         // PIO-Input
#define LOCAL_LED       25        // on board

#define ADC_MAX         4095
#define ADC_FILTER      30        // ext. R-trimm

#define DEF_BAUDRATE    115200

#endif